package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.FlowBean;
import com.wd.workoffice.bean.SendApplyBean;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by flexible on 2018/8/13.
 */

public class SendApplyAdapter extends BaseQuickAdapter<SendApplyBean.RecordsBean, BaseViewHolder> {
    int status;
    boolean hasPermission=true;
    public SendApplyAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    public SendApplyAdapter(int layoutResId, @Nullable List<SendApplyBean.RecordsBean> data, int status) {
        super(layoutResId, data);
        this.status = status;
    }

    @Override
    protected void convert(BaseViewHolder helper, SendApplyBean.RecordsBean item) {
        helper.setText(R.id.tv_name, item.getSerialNumber());
        helper.setText(R.id.tv_reason, item.getApplyRemark());
        helper.setText(R.id.tv_time, item.getCreatedTime());
        if (status == 0) {
            if (hasPermission){
                helper.setVisible(R.id.ll_btn, true);
                helper.addOnClickListener(R.id.tv_agree);
                helper.addOnClickListener(R.id.tv_refuse);
            }
        }
    }

    public boolean isHasPermission() {
        return hasPermission;
    }

    public void setHasPermission(boolean hasPermission) {
        this.hasPermission = hasPermission;
    }
}

